<div class="card">

    <div class="ibox-title">
        <div class="ibox-title-child" style="display: inline-block">
            {{"BREADCRUMBS.CLIENT_MANAGEMENT.CLIENT_DETAILS"|translate}}</div>

        <button mat-mini-fab class="menu-add ml-2" aria-label="Example icon-button with a menu">
            <mat-icon matTooltip="envoi de mail" class="menu-add-icon menu-add-user"><i class="ri-mail-send-fill"></i>
            </mat-icon>
        </button>

        <button mat-mini-fab class="menu-add ml-2" aria-label="Example icon-button with a menu">
            <mat-icon matTooltip="Rapports" class="menu-add-icon menu-add-user"><i class="ri-file-chart-line"></i>
            </mat-icon>
        </button>

        <button mat-mini-fab class="menu-add ml-2" aria-label="Example icon-button with a menu">
            <mat-icon matTooltip="{{'FIELD.CARNET_ORDRE.PASSER_ORDRE'|translate}}" (click)="passerOrdre()" class="menu-add-icon menu-add-user"><i class="ri-swap-line"></i>
            </mat-icon>
        </button>



    </div>

    <div class="card-body p-2">

        <div class="row">

            <div class="col-md-12 col-xl-8 mb-2 pr-0">

                <!-- account-info -->
                <div class="" [ngStyle]="{'background-color': getBackgroundColor()}">
                    <div class="card-body py-1">

                        <div class="row account-info ">
                            <div class="col-12">

                                <div *ngIf="!loadingAccount" class="picture-profil">

                                    <ng-container *ngIf="accountType==='PP'">
                                        <i *ngIf="accountPP?.statutWL==='NR'" class="ri-shield-cross-fill"
                                            [title]="'ACCOUNT_DETAILS.STATUT_WL.NR'|translate"></i>
                                        <i *ngIf="accountPP?.statutWL==='R'" class="ri-shield-fill"
                                            [title]="'ACCOUNT_DETAILS.STATUT_WL.R'|translate"></i>
                                    </ng-container>

                                    <ng-container *ngIf="accountType==='PM'">
                                        <i *ngIf="accountPM?.statutWL==='NR'" class="ri-shield-cross-fill"
                                            [title]="'ACCOUNT_DETAILS.STATUT_WL.NR'|translate"></i>
                                        <i *ngIf="accountPM?.statutWL==='R'" class="ri-shield-fill"
                                            [title]="'ACCOUNT_DETAILS.STATUT_WL.R'|translate"></i>
                                    </ng-container>

                                    <img [src]="photoImg" appImgFallback class="img-thumbnail shadow" alt="Picture">

                                </div>

                                <div class="account-info-container">

                                    <div *ngIf="accountType==='PP' && !loadingAccount" class="row">

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PP.NOM'|translate}}</label>
                                            <div>{{accountPP?.nom}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PP.PRENOM'|translate}}</label>
                                            <div>{{accountPP?.prenom}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PP.SECT_ACTIVITE'|translate}}</label>
                                            <div>{{accountPP?.secActivite}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PP.PROFESSION'|translate}}</label>
                                            <div>{{accountPP?.profession}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PP.DATE_NAIS'|translate}}</label>
                                            <div>{{accountPP?.dateNaissance | date : pipeParameters.date.formatNoTime}}
                                            </div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PP.PHONE'|translate}}</label>
                                            <div>{{accountPP?.mobile1}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PP.GESTIONNAIRE'|translate}}</label>
                                            <div>{{accountPP?.operateur_saisie}}</div>
                                        </div>

                                    </div>

                                    <div *ngIf="accountType==='PM' && !loadingAccount" class="row">

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.RAISON_SOCIAL'|translate}}</label>
                                            <div>{{accountPM?.raisonSociale}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.FORME_JURIDIQUE'|translate}}</label>
                                            <div>{{accountPM?.formeJuridique}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.ICE'|translate}}</label>
                                            <div>{{accountPM?.ice}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.ADRESSE'|translate}}</label>
                                            <div>{{accountPM?.adresse1}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.PHONE'|translate}}</label>
                                            <div>{{accountPM?.mobile1}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.EMAIL'|translate}}</label>
                                            <div>{{accountPM?.email}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.SITE_WEB'|translate}}</label>
                                            <div>{{accountPM?.siteWeb}}</div>
                                        </div>

                                        <div class="col-sm-6 col-md-4 col-lg-3">
                                            <label
                                                class="col-form-label p-0">{{'ACCOUNT_DETAILS.INFOS_PM.GESTIONNAIRE'|translate}}</label>
                                            <div>{{accountPM?.gestionnaire}}</div>
                                        </div>

                                    </div>

                                    <div *ngIf="loadingAccount" class="loading">
                                        <em class="fa fa-spinner fa-spin fa-2x"></em>
                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>
                </div>
                <!-- account-info end-->



                <div class="">
                    <div class="card-body pt-0 pb-2 px-2">
                        <ul class="nav nav-tabs" id="myTab-1" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="details-tab" data-toggle="tab" href="#details" role="tab"
                                    aria-controls="details"
                                    aria-selected="true">{{'ACCOUNT_DETAILS.FICHE_TAB'|translate}}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="info-sub-tab" data-toggle="tab" href="#info-sub" role="tab"
                                    aria-controls="info-sub"
                                    aria-selected="false">{{'ACCOUNT_DETAILS.DETAIL_TAB'|translate}}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="info-sub-tab" data-toggle="tab" href="#info-contact" role="tab"
                                    aria-controls="info-contact"
                                    aria-selected="false">{{'ACCOUNT_DETAILS.CONTACT_LIST'|translate}}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="info-sub-tab" data-toggle="tab" href="#info-compteEsp" role="tab"
                                    aria-controls="info-compteEsp"
                                    aria-selected="false">{{'ACCOUNT_DETAILS.COMPTE_ESP'|translate}}</a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="details" role="tabpanel"
                                aria-labelledby="details-tab">
                                <div class="card">
                                <div class="">
                                      <button class="block" (click)="onVisible()" ><i class="ri-bar-chart-box-line"> </i>  Statistiques</button>
                                </div>
                                <fieldset class="form border" *ngIf="visible">
                                    <div class="row">
                                        <div class="col-md-6 mt-1">
                                            <app-account-repartition-value-chart [accountCode]="accountCode"></app-account-repartition-value-chart>
                                        </div>

                                        <div class="col-md-6  mt-1">
                                            <app-account-per-activity-area-chart [accountCode]="accountCode"></app-account-per-activity-area-chart>
                                        </div>

                                    </div>

                                </fieldset>
                                </div>

                                <div class="row mt-2">

                                    <div class="col-md-12">
                                        <ul class="nav nav-tabs" id="myTab-1" role="tablist">
                                            <li class="nav-item">
                                                <a class="nav-link active" id="operations_tab" data-toggle="tab" href="#operations" role="tab"
                                                    aria-controls="operations"
                                                    aria-selected="true">{{'OPERATION_CONSULTATION.TITLE'|translate}}</a>
                                            </li>
                                            <li class="nav-item">
                                                <a class="nav-link" id="positions-tab" data-toggle="tab" href="#positions" role="tab"
                                                    aria-controls="positions"
                                                    aria-selected="false">{{'POSITION_CONSULTATION.TITLE'|translate}}</a>
                                            </li>

                                        </ul>

                                          <!-- start opperations/positions -->



                                    <div class="tab-content">
                                        <div class="tab-pane fade show active" id="operations" role="tabpanel" aria-labelledby="operations-tab">
                                            <app-operation-list
                                            [filter]="{filterBody: {entite:accountCode ,portefeuille:accountCode ,limit:'10'}}">
                                        </app-operation-list>

                                        </div>

                                        <div class="tab-pane fade" id="positions" role="tabpanel" aria-labelledby="positions-tab">
                                            <app-position-sous-rachat-list
                                            [filter]="{filterBody: {entite: accountCode,portefeuille: accountCode,limit:'10'}}" [enableActions]="false">
                                           </app-position-sous-rachat-list>

                                        </div>
                                    </div>





                                   <!-- End opperations/positions -->
                                    </div>



                                </div>


                            </div>

                            <div class="tab-pane fade" id="info-sub" role="tabpanel" aria-labelledby="info-sub-tab">
                                <app-control-summary [hideComponent]="'autre'" [dataInfo]="{accountType:accountType, accountCode: accountCode}">
                                </app-control-summary>
                            </div>

                            <div class="tab-pane fade" id="info-contact" role="tabpanel"
                                aria-labelledby="info-contact-tab">
                                <app-contact-list [isRecap]="true"
                                    [filter]="{filterBody: {accountCode:accountCode, accountType:accountType}}">
                                </app-contact-list>

                            </div>

                            <div class="tab-pane fade" id="info-compteEsp" role="tabpanel"
                            aria-labelledby="info-compteEsp-tab">
                            <app-especes-account
                                [filter]="{filterBody: {accountCode:accountCode, accountType:accountType}}">
                            </app-especes-account>

                        </div>



                        </div>
                    </div>
                </div>





            </div>


            <div class="col-md-12 col-xl-4 pl-2">

                <div class="card">
                    <div class="card-body pt-0 pb-2 px-2">
                        <ul class="nav nav-tabs" id="myTab-1" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="tasks-tab" data-toggle="tab" href="#tasks" role="tab"
                                    aria-controls="tasks"
                                    aria-selected="true">{{'ACCOUNT_DETAILS.TASK.TITLE'|translate}}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="events-tab" data-toggle="tab" href="#events" role="tab"
                                    aria-controls="events"
                                    aria-selected="false">{{'ACCOUNT_DETAILS.EVENT.TITLE'|translate}}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="incidents-tab" data-toggle="tab" href="#incidents" role="tab"
                                    aria-controls="incidents"
                                    aria-selected="false">{{'ACCOUNT_DETAILS.INCIDENT.TITLE'|translate}}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="opportunites-tab" data-toggle="tab" href="#opportunites" role="tab"
                                    aria-controls="opportunites"
                                    aria-selected="false">{{'ACCOUNT_DETAILS.OPPORTUNITE.TITLE'|translate}}</a>
                            </li>

                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="tasks" role="tabpanel"
                                aria-labelledby="tasks-tab">
                                <!-- task-form -->
                                <div>
                                    <app-task-form
                                        [accountInfo]="{accountType: accountType, accountPP: accountPP , accountPM: accountPM}"
                                        [hideTitle]="false" (submitted)="refreshTaskList()"></app-task-form>
                                </div>

                                <div class="ibox-title mb-2">
                                    <div class="ibox-title-child" style="display: inline-block">
                                        {{'ACCOUNT_DETAILS.TASK.LIST'|translate}}</div>
                                </div>

                                <!-- <app-task-list [enableActions]="false" [CustomSettings]="settings_task"
                                    [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-task-list> -->
                                    <app-tab-activity-task [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-tab-activity-task>

                                <!-- end task-form -->
                            </div>
                            <div class="tab-pane fade" id="events" role="tabpanel" aria-labelledby="events-tab">
                                <!-- event-form -->
                                <div>
                                    <app-event-form
                                        [accountInfo]="{accountType: accountType, accountPP: accountPP , accountPM: accountPM}"
                                        [hideTitle]="false" (submitted)="refreshEventList()"></app-event-form>
                                </div>

                                <div class="ibox-title mb-2">
                                    <div class="ibox-title-child" style="display: inline-block">
                                        {{'ACCOUNT_DETAILS.EVENT.LIST'|translate}}</div>
                                </div>

                                <!-- <app-event-list [enableActions]="false" [CustomSettings]="settings_event"
                                    [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-event-list> -->
                                    <app-tab-activity-event [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-tab-activity-event>


                                <!-- end event-form -->
                            </div>
                            <div class="tab-pane fade" id="incidents" role="tabpanel" aria-labelledby="incidents-tab">
                                <!-- incident-form -->
                                <div>
                                    <app-incident-form [hideTitle]="false" [accountInfo]="{accountType: accountType, accountPP: accountPP , accountPM: accountPM}"
                                    (submitted)="refreshIncidentList()"></app-incident-form>
                                </div>

                                <div class="ibox-title mb-2">
                                    <div class="ibox-title-child" style="display: inline-block">
                                        {{'ACCOUNT_DETAILS.INCIDENT.LIST'|translate}}</div>
                                </div>

                                <!-- <app-incident-list [enableActions]="false" [CustomSettings]="settings_incident"
                                    [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-incident-list> -->

                                    <app-tab-activity-incident [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-tab-activity-incident>

                                <!-- end incident-form -->
                            </div>

                            <div class="tab-pane fade" id="opportunites" role="tabpanel" aria-labelledby="opportunites-tab">
                                <!-- opportunite-form -->
                                <div>
                                    <app-opportunite-form [accountInfo]="{accountType: accountType, accountPP: accountPP , accountPM: accountPM}"
                                    [hideTitle]="false" (submitted)="refreshOpportuniteList()"></app-opportunite-form>
                                </div>

                                <div class="ibox-title mb-2">
                                    <div class="ibox-title-child" style="display: inline-block">
                                        {{'ACCOUNT_DETAILS.OPPORTUNITE.LIST'|translate}}</div>
                                </div>

                                <!-- <app-opportunite-list [enableActions]="false" [CustomSettings]="settings_opportunite"
                                [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-opportunite-list> -->
                                <app-tab-activity-opportunite [globalFilter]="{compte:accountCode, typeCompte:accountType}"></app-tab-activity-opportunite>



                                <!-- end opportunite-form -->
                            </div>




                        </div>
                    </div>
                </div>


            </div>




        </div>






    </div>
</div>
